Any apps not yet compatible with PHP 8 and v21?

Please add any apps you know need updated compatibility for nc 21 release.

Fixed

3 Likes

Cookbook please

1 Like

Just added this above ^ :slight_smile:
If you find any others feel free to edit the first post with links the relevant issue, or file it yourself and add. :+1:

Ahhh! Thank you! So Cookbook is really not supported with version 21? Thats why i cannot enable it anymore… and what about Music app? I get internal error message but solve it when i do music cleanup and so on and at last music:scan

My recommendation is to report your error outputs to each of these git issues or repos within code brackets. Devs appreciate seeing user specific errors in figuring this out.

Hello @Cyrus_Rondolos ,

just seen you alread open a topic regarding cookbook.
Please set a reference to cross link.

Do it here Cookbook not supported in NC version 21?

1 Like

Custom menu is compatible with NC 21 and PHP 8 :slightly_smiling_face:

External user access. Imagine an organisation with 3 000 users all accessing their nextcloud with their corporate e-mail credentials. If you upgrade to 21 they can no longer use nc.

And again: don’t update to a major release if some apps that you need aren’t compatible with the this new release, yet :slight_smile:

This is tracked here: Compatibility with NC21 · Issue #171 · nextcloud/user_external · GitHub

Seems Social app is also having some difficulty in versions 20 and 21.

Okay, this list has been updated and now effort is going into tracking Version 22. Please help add apps if you find them.